[Numpy-discussion] Problem building from svn under cygwin

Robert Kern robert.kern at gmail.com
Fri Sep 29 19:53:25 CDT 2006


Coatimundi wrote:
> I have the latest cygwin environment and am using gcc 3.4.4. to build numpy.
> 
> Configure works:
> 
>     python setup.py configure --compiler=mingw32
> 
> Build fails:
> 
>     python setup.py build --compiler=mingw32

What Python are you using? It looks like you built Python 2.5 using cygwin (that 
is, the UNIX emulation layer). You cannot build your extensions with mingw32 in 
that case. Don't use --compiler at all and you will be fine.

If you are using the regular Python binaries, then you should be using 
--compiler=mingw32, but you're getting the wrong Python headers in that case.

-- 
Robert Kern

"I have come to believe that the whole world is an enigma, a harmless enigma
  that is made terrible by our own mad attempt to interpret it as though it had
  an underlying truth."
   -- Umberto Eco





More information about the Numpy-discussion mailing list